package com.jdc.jdcproject.entity;

import java.io.Serializable;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * <p>
 * 
 * </p>
 *
 * @author haoyanlu
 * @since 2025-04-26
 */
@Schema(name = "Users", description = "")
public class Users implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "用户id")
    private String id;

    @Schema(description = "用户名")
    private String username;

    @Schema(description = "密码")
    private String password;

    @Schema(description = "头像")
    private String salt;

    @Schema(description = "手机号")
    private String tel;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getSalt() {
        return salt;
    }

    public void setSalt(String salt) {
        this.salt = salt;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    @Override
    public String toString() {
        return "Users{" +
        "id = " + id +
        ", username = " + username +
        ", password = " + password +
        ", salt = " + salt +
        ", tel = " + tel +
        "}";
    }
}
